### Name: metaSub.character
### Title: Create Replicate Text files with Systematic Substitutions
### Aliases: as.filename as.filename.character metaSub.filename
###   metaSub.character metaSub
### Keywords: manip

### ** Examples

data(ctl)
dir()
e <- metaSub(
        ctl,
        names=1:3,
        pattern=c(
                "PROBLEM 8",
                "data8.csv",
                "8.MSF"
        ),
        replacement=c(
                "PROBLEM *",
                "*.csv",
                "*.MSF"
        ),
        out=".",
        suffix=".ctl"
)
t <- metaSub(
        ctl,
        names=c("test1","test2"),
        pattern=c("PROBLEM 8","data8.csv","METH=0"),
        replacement=c("PROBLEM *","*.csv","METH=1"),
)

t <- metaSub(
        ctl,
        names=c("test1","test2"),
        pattern=c(
                "PROBLEM 8",
                "data8.csv",
                "METH=0"
        ),
        replacement=list(
                "PROBLEM *",
                "*.csv",
                c("METH=1","METH=2")
        ),
        out=".",
        suffix=".ctl"
)
#just a file copy...
metaSub(as.filename("1.ctl"),names="4",out=".",suffix=".ctl")

#using a (nonsense) replacement expression...
options <- data.frame(var=c(8,9),alt=c(10,11))
a <- metaSub(
        ctl,
        names=rownames(options),
        pattern="9999", 
        replacement=expression(
                options$var[rownames(options)==name]
        ),
        options=options
)
cat(a[[2]])

#replacement expression in a 'mixed' list...
b <- metaSub(
        ctl,
        names=rownames(options),
        pattern=list(
                "PRINT=2",
                "9999"
        ), 
        replacement=list(
                "PRINT=3",
                expression(options$var[rownames(options)==name])
        ),
        options=options
)
cat(b[[2]])

#replacement expressions on a per-name basis
d <- metaSub(
        ctl,
        names=rownames(options),
        pattern="9999",
        replacement=list(       #so that replacement is as long as pattern
                list(                   #with different options for each 'name'
                        expression(options$var[rownames(options)==name]),
                        expression(options$alt[rownames(options)==name])
                )
        ),
        options=options
)
cat(d[[2]])



